Thursday, January 10, 2013

Upgrading the JasperReports libraries to 5.0.1

Would you like to upgrade your existing JasperReportsIntegration with the latest 5.0.1 libraries of JasperReports?

Here you go ...

Step 1: Download the files for 5.0.1


You can download the files here:


 

Step 2: Shutdown the Apache Tomcat J2EE server

 

Step 3:  Remove the existing JasperReportsLibraries from your existing installation


Typically, after you have installed your previous version of the JasperReportsIntegration toolkit on your Apache Tomcat J2EE server, the files will be located in the directory $CATALINA_HOME/webapps/JasperReportsIntegration/WEB-INF/lib, for example version 4.7.0 of JasperReports, where $CATALINA_HOME represents the path to your installation of Tomcat.

Then you would have to remove these libraries first. In this directory you should find two files for removal: _jasper-reports-delete-libs-4.7.0.sh and _jasper-reports-delete-libs-4.7.0.cmd, for *nix or Windows respectively. For *nix systems you would have to make it executable, though, e.g.: chmod u+x _jasper-reports-delete-libs-4.7.0.sh . Then you can call it and it will remove all files for version 4.7.0. But it will NOT remove the file for the JasperReportsIntegration and all other libraries which YOU might have placed there deliberately.

You can always find the required removal scripts here: http://www.opal-consulting.de/downloads/free_tools/JasperReportsLibraries/ . 

 

Step 4: Install the new 5.0.1 libraries


Now you can just copy the new libraries from JasperReportsLibraries-5.0.1.zip into $CATALINA_HOME/webapps/JasperReportsIntegration/WEB-INF/lib.

 

Step 5: Start the Apache Tomcat J2EE server again


Now you system should be upgraded to the most current JasperReports 5.0.1 !

Just drop me a note when you need updated libraries for 5.0.2, 5.0.3, ... 6.0.0, etc. I have scripts in place to create a new package of the libraries. 

Here you can find the notes from my last upgrade (4.5.0 => 4.8.0), I hope it makes sense:

**
** download the libraries from:
**  http://www.opal-consulting.de/downloads/free_tools/JasperReportsLibraries/4.8.0/JasperReportsLibraries-4.8.0.zip
** to /home/jasper/JasperReportsLibraries

cd /home/jasper
mkdir JasperReportsLibraries

** unzip them
cd JasperReportsLibraries
unzip JasperReportsLibraries-4.8.0.zip -d JasperReportsLibraries-4.8.0

** stop tomcat server
/home/jasper/tomcat/bin/shutdown.sh

** remove libraries of current jasper reports release
cd /home/jasper/tomcat/webapps/JasperReportsIntegration/WEB-INF/lib
chmod +x _jasper-reports-delete-libs-4.5.0.sh
dos2unix _jasper-reports-delete-libs-4.5.0.sh

./_jasper-reports-delete-libs-4.5.0.sh

** copy libraries of the new release to the WEB-INF/lib directory
cp /home/jasper/JasperReportsLibraries/JasperReportsLibraries-4.8.0/* /home/jasper/tomcat/webapps/JasperReportsIntegration/WEB-INF/lib

** restart tomcat
/home/jasper/tomcat/bin/startup.sh


Cheers,
~Dietmar.

21 comments:

Flieger said...

Hallo Dietmar,
vielen Dank für die neuen Libraries. Wir sind gerade dabei mit ihnen herum zu spielen.

Christoph

ruepprich said...

Hallo Dietmar,
vielen Dank für die neuen Libraries. Wir sind gerade dabei mit ihnen herum zu spielen.

Christoph

Dietmar Aust said...

Hi Christoph,

I appreciate it.

Somebody requested instructions on how to update the libraries. Thus I just created a new version of the libraries and uploaded them.

It is not a lot of work, I have all scripts (and now the instructions ;) in place.

Thus, if anybody needs new and updated libraries, please let me know, I can easily upload the new version.

I just don't need the new and updated versions so often.

Cheers,
~Dietmar.

pietersauros said...

do you need to upgrade existing code too??

Dietmar Aust said...

No, this is not required. It is part of the J2EE side, no change to the client plsql side is required.

Cheers,
~Dietmar.

Damir Vadas said...

Hi!

Download from broser is OK but download from putty is not working.

[tomcat@vps1 ~]$ wget https://www.opal-consulting.de/downloads/free_tools/JasperReportsIntegration/1.3.0/JasperReportsIntegration-1.3.0.2.zip
--2013-04-29 21:56:35-- https://www.opal-consulting.de/downloads/free_tools/JasperReportsIntegration/1.3.0/JasperReportsIntegration-1.3.0.2.zip
Resolving www.opal-consulting.de... 213.185.81.187
Connecting to www.opal-consulting.de|213.185.81.187|:443... connected.
HTTP request sent, awaiting response... No data received.
Retrying.

--2013-04-29 21:56:37-- (try: 2) https://www.opal-consulting.de/downloads/free_tools/JasperReportsIntegration/1.3.0/JasperReportsIntegration-1.3.0.2.zip
Connecting to www.opal-consulting.de|213.185.81.187|:443... connected.
HTTP request sent, awaiting response... No data received.
Retrying.

--2013-04-29 21:56:39-- (try: 3) https://www.opal-consulting.de/downloads/free_tools/JasperReportsIntegration/1.3.0/JasperReportsIntegration-1.3.0.2.zip
Connecting to www.opal-consulting.de|213.185.81.187|:443... connected.
HTTP request sent, awaiting response... No data received.
Retrying.


[tomcat@vps1 ~]$

Some security problem?

Brg,
Damir

Dietmar Aust said...

Hi Damir,

strange. But you can use plain http just as well, this works:

wget http://www.opal-consulting.de/downloads/free_tools/JasperReportsIntegration/1.3.0/JasperReportsIntegration-1.3.0.2.zip

Cheers,
~Dietmar.

Sasha Splinter said...

Dietmar, i do appreciate You for Your support of product. I've successfully upgraded to 5 1 0. By the way, it seems work stable with Jaspersoft Studio 5 1 0. I have not overall tested of course, but results are helpful ;)

Have a good day.
Sasha.

Dietmar Aust said...

Hi Sasha,

great, so you have found the 5.1.0 libaries ;) : http://www.opal-consulting.de/downloads/free_tools/JasperReportsLibraries/5.1.0/

I have also put up the new JasperReportsIntegration 2.1.0 which should now work with Weblogic, Glassfish and others.

I am still testing it before the release, but you can give it a try and tell me any issues: http://www.opal-consulting.de/downloads/free_tools/JasperReportsIntegration/2.1.0/

Cheers,
~Dietmar.

Sasha Splinter said...

Ok! But by the way would You clarify, what is "tunnel images for html reports through the database".

Have a good day,
Sasha.

Dietmar Aust said...

Hi Sasha,

>"tunnel images for html reports through the database".
Sure. Most people were using the integration for producing PDF, MS Word or MS Excel. For these purposes a request to xlib_jasperreports would call the J2EE server using utl_http.

If you want to generate HTML it works a bit differently. The first call to xlib_jasperreports will return the html page with the report to the client browser. All referenced images (even the px spacer image) need an URL to point back to the J2EE server.

For security reasons I want to prohibit all direct access to the J2EE server and allow only the database to talk to the J2EE directly. Thus I have to "tunnel" all image requests through the database to the J2EE server. In effect, the database works as a proxy to the J2EE server for all requests.

Cheers,
~Dietmar.
Hi Sasha,

>"tunnel images for html reports through the database".

Sure. Most people were using the integration

Sasha Splinter said...

Thank You, Dietmar.
By the way, i didn't find docs about overall (both files and db part) upgrade way, should i install every new version just by means of overwriting old one?

Dietmar Aust said...

Hi Sasha,

well, I guess I should rework the scripts a little bit, don't like the approach any more that much.

The scripts will stop once any sql error comes up. If you just rerun the full installation scripts, it will error out since some objects like the sequence or the object type cannot be replaced.

Thus for the time being it is best to first remove the existing installation and install the new version.

Or you could have a look at the scripts and comment out all "whenever sqlerror exit" or similar.

Cheers,
~Dietmar.

Sasha Splinter said...

Hi, Dietmar.

Here You are my modest first look report.
I undeployed JRI war, deployed new one, edited just an application.properties about JDBC, removed apex application, run user_remove.sql, run user_install.sql, installed apex application. First look says that everything works okay, as always. I plan to kick JRI by means of ab.exe utility from apache distributive and will let You know about results.
From my modest opinion You may advice JasperStudio in Your docs. I didn't tested a complex reports of course , but as i can see that product is in main stream of Jasper development.

Some issues appeared also.

1. user_remove leaves TYPE xlib_vc2_array_t so next run of user_install fails.

2. Some warnings present in user_install.log:
*** grant xlib_jasperreports_img to public
SP2-0310: unable to open file "_grants.sql"
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Dietmar Aust said...

Hi Sasha,

thanks a lot for testing :).

I will fix the two issues you mentioned.

>You may advice JasperStudio in Your
>docs
I don't understand, could you please clarify? AFAIK, JasperStudio is an alternative implementation to iReport, right?

Cheers,
~Dietmar.

Sasha Splinter said...

Dietmar, I guess it would be better You'll check http://community.jaspersoft.com/ and ensure about Jaspersoft Studio (eclipse-based) vs. netbeans-based iReports.

I'm not IDE guru, but people says that Eclipse better ) BTW what's about me, it was Studio's IDE i preferred for more logical interface.

Dietmar Aust said...

Hi Sasha,

well, iReport has always been the primary development environment. And during the years there has already been a move to the NetBeans framework, in the beginning they were using a different GUI.

Last time I checked (already a year or two ago), the Eclipse based implementation (JasperStudio) was not ready for prime time yet, it was lacking major functionality. This COULD be different now.

But in the end I don't care which report designer you are using, you could even do it with Notepad or vi. In the end I will need the compiled .jasper file which will be executed.

So, you are free to choose. But I can mention the different option.

Cheers,
~Dietmar.

Dennis said...

Hi dietmar can you update the lib to 5.2 ?

Dietmar Aust said...

Hi Dennis,

yes, I will. Will take me a few days ... but it is coming.

Thanks for letting me know.

Cheers,
~Dietmar.

Dennis said...

Hi Dietmar,
Are you still planning to release upgrades for it? because 5.6.0 is allready out, or do we need to get a support contract at :OPAL:JRI PROFESSIONAL?
thanks
dennis

Dietmar Aust said...

Hi Dennis,

yes, I will update to 5.6.0, hopefully this weekend, but I can't promise anything.

The new professional support Version will NOT affect the free Version by any means, it just gives you additional Features and support.

The main purpose is to support the people using the SUPPORTED just as well as the FREE Version.

I would love to support it more and update more frequently, but it is a bit hard to find the time for that. Thus the paid Option to spend less time on the regular Job :).

Cheers,
~Dietmar.